﻿$ErrorActionPreference = 'Stop';

$version = $env:chocolateyPackageVersion
$urltag = $version -replace '\.', '_'
$packageName = 'onescript'
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url = "http://oscript.io/downloads/$urltag/OneScript-$version-x86.exe"
$url64 = "http://oscript.io/downloads/$urltag/x64/OneScript-$version-x64.exe"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url           = $url
  url64bit      = $url64
  silentArgs    = "/verysilent /norestart /log=`"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)

  registryUninstallerKey = 'onescript'
  # 1.2.0 exe
  checksum      = 'e627971f59b92c91d0e9a8fc1a81fac1d3ba69041174f7c6c7ba09c68b4a4022'
  checksumType  = 'sha256'

  checksum64    = 'f848c144997b509a99eec152ce30a20cfb4dc53153282746608adcf970c9dc5e'
  checksumType64= 'sha256'
}

Install-ChocolateyPackage @packageArgs
